Bug 142613 - redhat-ready adventure CORE certification test results in kernel panic
redhat-ready adventure CORE certification test results in kernel panic
Status: CLOSED DUPLICATE of bug 123353
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-10 16:52 EST by James Laska
Modified: 2013-09-02 02:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:07:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2004-12-10 16:56:14 EST
found a bug in beta bugzilla ... reposting the original text...


# TREE   released/RHEL-3/U3
# ARCH   s390x
# GUEST  teetots.z900.redhat.com
# KERNEL kernel-2.4.21-20.EL

Steps to reproduce

  1) install RHEL3-U3::AS/s390x
  2) login
  3) $ redhat-ready adventure CORE

Expected Result:
  - system executes CORE test to completion

Actual Result:

Red Hat Enterprise Linux AS release 3 (Taroon Update 3)  
Kernel 2.4.21-27.EL on an s390x  
  
teetots login: Mem-info: 
Zone:DMA freepages:  1278 min:  1279 low:  5120 high:  7168 
Zone:Normal freepages:     0 min:     0 low:     0 high:     0 
Zone:HighMem freepages:     0 min:     0 low:     0 high:     0 
Free pages:        1278 (     0 HighMem) 
( Active: 240554/2568, inactive_laundry: 2, inactive_clean: 0, free:
1278 ) 
  aa:238183 ac:2382 id:2558 il:1 ic:0 fr:1278 
  aa:0 ac:0 id:0 il:0 ic:0 fr:0 
  aa:0 ac:0 id:0 il:0 ic:0 fr:0 
2*4kB 0*8kB 1*16kB 1*32kB 1*64kB 1*128kB 1*256kB 1*512kB 0*1024kB
0*2048kB 1*409
6kB = 5112kB) 
Swap cache: add 0, delete 0, find 0/0, race 0+0 
4498 pages of slabcache 
102 pages of kernel stacks 
591 lowmem pagetables, 0 highmem pagetables 
Free swap:            0kB 
262144 pages of RAM 
10119 reserved pages 
2240 pages shared 
0 pages swap cached 
0 pages in page table cache 
Buffer memory:     7300kB 
Cache memory:     2448kB 
  CLEAN: 938 buffers, 3752 kbyte, 29 used (last=927), 0 locked, 0
dirty 0 delay 
 LOCKED: 54 buffers, 216 kbyte, 54 used (last=54), 0 locked, 0 dirty 0
delay 
  DIRTY: 182 buffers, 728 kbyte, 182 used (last=182), 0 locked, 182
dirty 0 dela
y 
Out of Memory: Killed process 1699 (bc). 
Out of Memory: Killed process 1699 (bc). 
addressing exception: 0038 
CPU:    0    Not tainted 
autofs4 nfs lockd sunrpc audit qeth qdio af_packet sd_mod scsi_mod
ext3 jbd raid
0 dasd_fba_mod dasd_eckd_mod dasd_mod   
Process diff (pid: 1825, task: 000000000c394000, ksp:
000000000c3977e8, f: 0) 
Krnl PSW : 0700200180000000 0000000000083994 
           __put_unused_buffer_head [kernel] 0x6c (2.4.21-27.EL) 
Krnl GPRS: 0000000000000000 1800000000000000 00000000000000b8
00000000001d2fd2 
           00010004007c7a28 00000000004761a8 0000000000000000
0000000018efee00 
           0000000000000000 0000000000a076c8 0000000000000000
00000000004761b8 
           0000000000000000 00000000001bf870 000000000c397a50
000000000c3979b0 
Krnl ACRS: 00000100 001c94c0 00000000 00000000 
           00000001 00000000 00000000 00000000 
           00000000 00000000 00000000 00000000 
           00000000 00000000 00000000 00000000 
Krnl Code: e3 10 40 08 00 24 e3 00 20 08 00 24 c0 a0 00 1f 94 08 b9 04  
[<0000000000087474>] try_to_free_buffers [kernel] 0x128 (0xc397ac0) 
[<00000000000840a0>] try_to_release_page [kernel] 0x7c (0xc397b60) 
[<000000000005e8e0>] do_generic_file_read [kernel] 0x5c0 (0xc397c00) 
[<000000000005f41a>] generic_file_new_read [kernel] 0xaa (0xc397ce8) 
[<000000000005f59e>] generic_file_read [kernel] 0x1e (0xc397db0) 
[<000000000007f92e>] sys_read [kernel] 0xd2 (0xc397e50) 
[<0000000000015728>] sysc_noemu [kernel] 0x16 (0xc397ef0) 
[<->] (0x0) 
 
Kernel panic: Fatal exception 


NOTES:
 1) according to Rob, this probably is the first time this test has
been executed on s390x RHEL3-U3
 2) I imagine another interesting datapoint would be to re-execute
this test against RHEL3-U4 (kernel-2.4.21-27.EL)

Please advise as to additional details needed for further debugging.
Comment 1 Larry Woodman 2004-12-13 11:16:57 EST
One of the obvious problems here is that the system is out of swap
space and all of the memory is anonymous, OOM killing is exactly what
the system should do.

As far as thje panic is concerend, that is a bug somewhere.  I dont
have an s390x system and I dont know how to interpret the traceback. 
Perhaps Pete could tell me where __put_unused_buffer_head died?

Larry
Comment 2 Rob Landry 2004-12-16 16:27:27 EST
reproducable with .5GB swapfile enabled using u4-beta kernel;

As Tom stated, the OOM stuff is not what we want to chase, the panic
is a problem though.  I believe I can reproduce on s390 as well;
though I need to double check before I commit to it.
Comment 3 Brock Organ 2004-12-16 17:42:04 EST

*** This bug has been marked as a duplicate of 123353 ***
Comment 4 Red Hat Bugzilla 2006-02-21 14:07:39 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.